const test = await args.actor.setupSkill(game.i18n.localize("NAME.Résistance"), {
  skipTargets: true,
  appendTitle: ` — ${this.effect.name}`,
  fields: {difficulty: "challenging"},
  context: {
    failure: `Gain de 1 état @Condition[Poisoned].`
  }
});

await test.roll();

if (test.failed) {
  args.actor.addCondition("poisoned");
  const speaker = ChatMessage.getSpeaker({actor: args.actor});
  this.script.message(`<p>${speaker.alias} a reçu 1 état @Condition[Poisoned] de Venin d'Araignée.</p><p>Les victimes réduites à 0 blessures et qui souffrent d'un état @Condition[Poisoned] de ces flèches deviennent @Condition[Unconcious], mais ne risquent pas la mort à cause des états @Condition[Poisoned] restants comme ce serait normalement le cas.</p>`);
}